#ifndef __RESTORE_HEALTH_H__
#define __RESTORE_HEALTH_H__

#include "potion.h"

class restore_health final: public potion {
        static const int GAIN_HEALTH = 10;
public:
        restore_health(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
